
From: Miklos Szeredi <miklos@szeredi.hu>

This patch renames _mntput() to something a little more descriptive:
mntput_no_expire().

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/namei.c            |    2 +-
 include/linux/mount.h |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/namei.c~namespace-rename-_mntput-to-mntput_no_expire fs/namei.c
--- 25/fs/namei.c~namespace-rename-_mntput-to-mntput_no_expire	2005-05-31 01:53:02.000000000 -0700
+++ 25-akpm/fs/namei.c	2005-05-31 01:53:02.000000000 -0700
@@ -314,7 +314,7 @@ void path_release(struct nameidata *nd)
 void path_release_on_umount(struct nameidata *nd)
 {
 	dput(nd->dentry);
-	_mntput(nd->mnt);
+	mntput_no_expire(nd->mnt);
 }
 
 /*
diff -puN include/linux/mount.h~namespace-rename-_mntput-to-mntput_no_expire include/linux/mount.h
--- 25/include/linux/mount.h~namespace-rename-_mntput-to-mntput_no_expire	2005-05-31 01:53:02.000000000 -0700
+++ 25-akpm/include/linux/mount.h	2005-05-31 01:53:02.000000000 -0700
@@ -47,7 +47,7 @@ static inline struct vfsmount *mntget(st
 
 extern void __mntput(struct vfsmount *mnt);
 
-static inline void _mntput(struct vfsmount *mnt)
+static inline void mntput_no_expire(struct vfsmount *mnt)
 {
 	if (mnt) {
 		if (atomic_dec_and_test(&mnt->mnt_count))
@@ -59,7 +59,7 @@ static inline void mntput(struct vfsmoun
 {
 	if (mnt) {
 		mnt->mnt_expiry_mark = 0;
-		_mntput(mnt);
+		mntput_no_expire(mnt);
 	}
 }
 
_
